Package owl.automaton

## Class AbstractImplicitAutomaton<S,​A extends OmegaAcceptance>

- java.lang.Object
- - owl.automaton.AbstractCachedStatesAutomaton<S,​A>
  - - owl.automaton.AbstractImplicitAutomaton<S,​A>

- All Implemented Interfaces:
    `Automaton<S,​A>`
  Direct Known Subclasses:
    `ImplicitNonDeterministicEdgeTreeAutomaton`, `Views.AutomatonView`

      public abstract class AbstractImplicitAutomaton<S,​A extends OmegaAcceptance>
      extends AbstractCachedStatesAutomaton<S,​A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeMapVisitor<S>, Automaton.EdgeTreeVisitor<S>, Automaton.EdgeVisitor<S>, Automaton.PreferredEdgeAccess, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected A` | `acceptance` |
    `protected ValuationSetFactory` | `factory` |
    `protected Set<S>` | `initialStates` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractImplicitAutomaton​(ValuationSetFactory factory, Collection<S> initialStates, A acceptance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `A` | `acceptance()` | Returns the acceptance condition of this automaton.
    `ValuationSetFactory` | `factory()` |
    `Set<S>` | `initialStates()` | Returns the set of initial states, which can potentially be empty.
    `S` | `onlyInitialState()` | Returns the initial state.

    - ### Methods inherited from class owl.automaton.AbstractCachedStatesAutomaton

      `accept, accept, accept, cache, states`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, edge, edgeMap, edges, edges, edgeTree, is, name, predecessors, preferredEdgeAccess, size, successor, successors, successors`

- - ### Field Detail

    - #### acceptance

          protected final A extends OmegaAcceptance acceptance

    - #### initialStates

          protected final Set<S> initialStates

    - #### factory

          protected final ValuationSetFactory factory

  - ### Constructor Detail

    - #### AbstractImplicitAutomaton

          public AbstractImplicitAutomaton​(ValuationSetFactory factory,
                                           Collection<S> initialStates,
                                           A acceptance)

  - ### Method Detail

    - #### acceptance

          public final A acceptance()

      Description copied from interface: `Automaton`
      Returns the acceptance condition of this automaton.
      Returns:
        The acceptance.

    - #### factory

          public final ValuationSetFactory factory()

    - #### onlyInitialState

          public final S onlyInitialState()

      Description copied from interface: `Automaton`
      Returns the initial state. Throws an `NoSuchElementException` if there is no and `IllegalStateException` if there are multiple initial states.
      Returns:
        The unique initial state.
      See Also:
        `Automaton.initialStates()`

    - #### initialStates

          public final Set<S> initialStates()

      Description copied from interface: `Automaton`
      Returns the set of initial states, which can potentially be empty.
      Returns:
        The set of initial states.